# React class components for @mindfusion/diagramming

A diagram library that enables you to build any type of graph, flowchart, tree, org chart, diagram, process chart, database schema and much more. Includes a huge variety of predefined node and link shapes, automatic layout algorithms, many import and export options.

This package contains class component React wrappers for MindFusion [JS Diagram](https://www.npmjs.com/package/@mindfusion/diagramming) controls. 
For functional component wrappers check the [@mindfusion/diagramming-react](https://www.npmjs.com/package/@mindfusion/diagramming-react) npm package.

## Installing

For the latest stable version:

```
npm install @mindfusion/diagramming-react-cc
```

## Documentation

1. [Detailed API Reference](https://www.mindfusion.eu/onlinehelp/jsdiagram/index.htm)

## Additional Information

Learn more about JS Diagram [from the official product page.](https://mindfusion.eu/javascript-diagram.html) Stay in touch with MindFusion about our latest product announcements, tutorials and programming guidelines via  [Twitter](https://twitter.com/MindFusion_News) or [our company blog.](https://mindfusion.eu/blog/)


## Technical Support

* [Forum](https://mindfusion.eu/Forum/YaBB.pl?board=jsdiag_disc)
* [E-mail](mailto:support@mindfusion.eu)
* [Help desk](https://www.mindfusion.eu/HelpDesk/index.php)

## Licensing

The end-user license agreement for JS Diagram is [here.](https://mindfusion.eu/eula.html)


